Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ConnectionMessageEvent Class Reference
Inheritance diagram for ConnectionMessageEvent:

## Public Member Functions
| ConnectionMessageEvent (U32 msg=0, U32 seq=0, U32 gc=0)
void | pack (NetConnection *, BitStream *bstream)
void | write (NetConnection *, BitStream *bstream)
void | unpack (NetConnection *, BitStream *bstream)
void | process (NetConnection *ps)
| DECLARE_CONOBJECT (ConnectionMessageEvent)
Public Member Functions inherited from NetEvent
| NetEvent ()
virtual | ~NetEvent ()
virtual void | notifySent (NetConnection *ps)
virtual void | notifyDelivered (NetConnection *ps, bool madeit)
void | incRef ()
void | decRef ()
Public Member Functions inherited from ConsoleObject
const AbstractClassRep::Field * | findField (StringTableEntry fieldName) const
| Get a reference to a field by name. More...
virtual AbstractClassRep * | getClassRep () const
| Gets the ClassRep. More...
bool | setField (const char *fieldName, const char *value)
| Set the value of a field. More...
virtual | ~ConsoleObject ()
const AbstractClassRep::FieldList & | getFieldList () const
| Get a list of all the fields. This information cannot be modified. More...
AbstractClassRep::FieldList & | getModifiableFieldList ()
bool & | getDynamicGroupExpand ()
S32 | getClassId (U32 netClassGroup) const
const char * | getClassName () const

## Additional Inherited Members
Public Types inherited from NetEvent
enum | { GuaranteedOrdered = 0, Guaranteed = 1, Unguaranteed = 2 }
typedef ConsoleObject | Parent
Static Public Member Functions inherited from ConsoleObject
static const char * | lookupClassName (const U32 in_classTag)
| Get the classname from a class tag. More...
static void | initPersistFields ()
static void | consoleInit ()
static AbstractClassRep * | getStaticClassRep ()
| Get the abstract class information for this class. More...
static AbstractClassRep * | getParentStaticClassRep ()
| Get the abstract class information for this class's superclass. More...
static ConsoleObject * | create (const char *in_pClassName)
static ConsoleObject * | create (const U32 groupId, const U32 typeId, const U32 in_classId)
Public Attributes inherited from NetEvent
S32 | mRefCount
enum NetEvent:: { ... } | mGuaranteeType
NetConnectionId | mSourceId
Protected Member Functions inherited from ConsoleObject
| ConsoleObject ()
| ConsoleObject (const ConsoleObject &)
Static Protected Member Functions inherited from ConsoleObject
static void | addGroup (const char *in_pGroupname, const char *in_pGroupDocs=NULL)
static void | endGroup (const char *in_pGroupname)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::WriteDataNotify in_writeDataFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, const char *in_pFieldDocs)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::WriteDataNotify in_writeDataFn, const char *in_pFieldDocs)
static void | addFieldV (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, ConsoleTypeValidator *v, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, AbstractClassRep::WriteDataNotify in_writeDataFn=&defaultProtectedWriteFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, AbstractClassRep::WriteDataNotify in_writeDataFn=&defaultProtectedWriteFn, const char *in_pFieldDocs=NULL)
static void | addDepricatedField (const char *fieldName)
static bool | removeField (const char *in_pFieldname)

## Detailed Description

ConnectionMessageEvent

This event is used inside by the connection and subclasses to message itself when sequencing events occur. Right now, the message event only uses 6 bits to transmit the message, so

## Constructor & Destructor Documentation

ConnectionMessageEvent | ( | U32 | msg = `0`,
|  | U32 | seq = `0`,
|  | U32 | gc = `0`
| ) |  |
| inline

## Member Function Documentation

DECLARE_CONOBJECT | ( | ConnectionMessageEvent |  | ) |

void pack | ( | NetConnection * | ,
|  | BitStream * | bstream
| ) |  |
| inline virtual

Implements NetEvent.

void process | ( | NetConnection * | ps | ) |
| inline virtual

Implements NetEvent.

void unpack | ( | NetConnection * | ,
|  | BitStream * | bstream
| ) |  |
| inline virtual

Implements NetEvent.

void write | ( | NetConnection * | ,
|  | BitStream * | bstream
| ) |  |
| inline virtual

Implements NetEvent.

The documentation for this class was generated from the following file:

- network/netConnection.cc